#!/bin/bash -v
set -eo pipefail

if ! hash dashing
then
	read -p 'dashing command not found; install it with brew? [y/N]' ans
	case $ans in
		[Yy]* ) brew install dashing; break;;
		* ) echo 'Build aborted.'; exit 1;;
	esac
fi

cd "$(dirname "$0")"
dashing build swiftpm

plutil -remove DashDocSetFamily swiftpm.docset/Contents/Info.plist

# cat <<CSS >> swiftpm.docset/Contents/Resources/Documents/package-manager/_static/stylesheets/application.css
# /* Dash docset: disable in-page navigation */
# nav[role="navigation"] {
# 	display: none !important
# }
# main {
# 	margin-left: 0 !important
# }
# footer[role="contentinfo"] {
# 	margin-left: 0 !important
# }
# CSS
